DEMUX(9)

NAME

demux - Select one of several output pins by integer and/or or individual bits.

SYNOPSIS

loadrt demux [count=N|names=name1[,name2...]] [personality=P1,P2,...]

DESCRIPTION

This component creates a number of output bits defined by the "personality" command-line parameter. One of these bits will be set based on interpreting the bit-inputs as a binary number and then adding on the integer input. Most uses will use only one or the other, but it is possible to use the bits as a ""shift"" if required. An optional operating mode is enabled by setting the "bargraph" parameter to true, in this case all bits up to the selected bit will be set, as might be required for an LED bargraph display.

FUNCTIONS

demux.N (requires a floating-point thread)

PINS

demux.N.sel-bit-MM bit in (MM=00..04)
    Binary-number bit selectors

demux.N.sel-u32 u32 in
    Integer selection input

demux.N.out-MM bit out (MM=00..personality)
    The set of output bits

PARAMETERS

demux.N.bargraph bit rw (default: 0)

SEE ALSO

select8(9)

AUTHOR

Andy Pugh

LICENSE

GPL 2+